MibbleBrowser (Mibble 2.9.4 Documentation)
Date: 2016-09-27

net.percederberg.mibble

## Class MibbleBrowser

- java.lang.Object
- - net.percederberg.mibble.MibbleBrowser

-     public class MibbleBrowser
      extends java.lang.Object

  A program for browsing MIB files in a GUI.
  Since:
    2.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MibbleBrowser()` Creates a new browser application.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Properties` | `getBuildInfo()` Returns the application build information.
    `void` | `loadMib(java.lang.String src)` Loads MIB file or URL.
    `static void` | `main(java.lang.String[] args)` The application main entry point.
    `void` | `start(java.lang.String[] args)` Starts this application.
    `void` | `unloadAllMibs()` Unloads all loaded MIB files.
    `void` | `unloadMib(java.lang.String name)` Unloads a named MIB.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MibbleBrowser

          public MibbleBrowser()

      Creates a new browser application.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      The application main entry point.
      Parameters:
        `args` - the command-line parameters

    - #### start

          public void start(java.lang.String[] args)

      Starts this application.
      Parameters:
        `args` - the command-line arguments

    - #### getBuildInfo

          public java.util.Properties getBuildInfo()

      Returns the application build information.
      Returns:
        the application build information

    - #### loadMib

          public void loadMib(java.lang.String src)
                       throws java.io.IOException,
                              MibLoaderException

      Loads MIB file or URL.
      Parameters:
        `src` - the MIB file or URL
      Throws:
        `java.io.IOException` - if the MIB file couldn't be found in the MIB search path
        `MibLoaderException` - if the MIB file couldn't be loaded correctly

    - #### unloadMib

          public void unloadMib(java.lang.String name)

      Unloads a named MIB.
      Parameters:
        `name` - the MIB name

    - #### unloadAllMibs

          public void unloadAllMibs()

      Unloads all loaded MIB files.
      Since:
        2.9